Subject: Re: bug#44655: 28.0.50; Oversized SVG margin

From: Alan Third <[email-masked]>
Date: Sun, 15 Nov 2020 17:56:28 +0000

On Sun, Nov 15, 2020 at 07:47:05PM +0200, Eli Zaretskii wrote:
> > Date: Sun, 15 Nov 2020 17:33:39 +0000
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > > Patch attached. Are we happy to continue using deprecated functions?
> > > 
> > > Could it cause compilation failure if strict compiler switches are
> > > used?
> > 
> > I don't believe so. They say they're still available. What switches
> > should I try?
> 
> I was thinking about -Wdeprecated.  It could cause problem if used
> with -Werror.  My question was whether some distributions include
> these switches under some forged environments.

Ah, I don't think I can answer that. Just trying those switches here
results in a build failure, but due to NS code, not librsvg.
-- 
Alan Third